class FingerPrintInfo {
  String porOrgacode;
  String channelCode;
  String cmpUserId;
  String cmpCustpassword;

  FingerPrintInfo({
    this.porOrgacode = '',
    this.channelCode = '',
    this.cmpUserId = '',
    this.cmpCustpassword = '',
  });

  Map<String, dynamic> toMap() {
    return {
      'porOrgacode': this.porOrgacode,
      'channelCode': this.channelCode,
      'cmpUserId': this.cmpUserId,
      'cmpCustpassword': this.cmpCustpassword,
    };
  }

  factory FingerPrintInfo.fromMap(Map<String, dynamic> map) {
    return FingerPrintInfo(
      porOrgacode: map['porOrgacode'] ?? "",
      channelCode: map['channelCode'] ?? "",
      cmpUserId: map['cmpUserId'] ?? "",
      cmpCustpassword: map['cmpCustpassword'] ?? "",
    );
  }

  @override
  String toString() {
    return '{porOrgacode: $porOrgacode, channelCode: $channelCode, cmpUserId: $cmpUserId, cmpCustpassword: $cmpCustpassword}';
  }
}
